Subject: Re: ifmib-ifmib2 and ifmib-invstackmib

From: Ted Brunner <[email-masked]>
Date: Tue, 30 Nov 1999 15:40:27 -0800

Steve and Bert-

The following is the final draft of the implementation report
on the ifmib.  It has had a few changes at each round, and this
one has had changes since the last one I circulated on the mailing list.
At any rate, I'm declaring it done now.

At Bert's request I added a little clarification of the
notations.  If things are still unclear, please let me know.

At Steve's request I made a plain ascii table of objects
and implementors.  If this is insufficient, please let me know.

-- 

Ted Brunner		VideoTele.com
			Tektronix
			MS 50-475
[email-masked]	14150 SW Karl Braun
503.627.1317		Beaverton OR 97005

date: Nov 30 1999
draft-ietf-ifmib-ifmib2-01.txt
evaluation of compliance (ifCompliance3)

Legend: yes - implemented, 
	except - implemented with exceptions as noted
	no - not implemented, 
	r/o - implemented as read-only,
	partial - parts of sematics not implemented,
	some - some interface types not supported

Implementation	#1	#2	#4	#5	#3
		cisco	bay	redback	ADC	ibm
info as of	now	now	now	now	now

ifGeneralInformationGroup
ifTableLastChg	no	yes	yes	yes
ifTable		yes	yes	yes	yes	yes	
 ifOperStatus	partial			
 ifAdminStatus			r/o
ifXTable	yes	yes	yes	yes	yes	
 ifLinkUpDownT	yes	yes	r/o
 ifAlias	yes	yes	r/o	yes	yes	

ifFixedLengthGroup
ifXTable	yes	yes	yes	yes	yes	

ifHCFixedLengthGroup
ifXTable	yes	yes	yes	yes	yes	
 ifHC* (64bits)	yes	yes	yes	no	yes	

ifPacketGroup and ifHCPacketGroup  
ifXTable	yes	yes	yes	yes	yes	
 ifInMultic	some 
 ifInBroad	some
 ifOutMulti	some
 ifOutBroad	some

ifVHCPacketGroup 
ifXTable	yes	yes	yes	yes	yes	
 ifHC* (64bits)	except	yes	yes	no	yes	
 ifHCInMulti	no
 ifHCInBroad	no
 ifHCOutMulti	no
 ifHCOutBroad	no
 ifPromiscuous	r/o	r/o	r/o	r/o	yes	

ifCounterDiscontinuityGroup
 ifCounterDisc	no	yes	yes	yes	no	

ifStackGroup2 	
ifStackTable	yes	yes	yes	yes	yes	
 ifStackStatus	r/o	r/o	r/o	yes	yes	
ifStackLastChg	yes	yes	yes	yes	no	

ifRcvAddressGroup
ifRecvAddrTable	yes	yes	no	yes	no	
ifRcvAddressAdd	r/o	r/o
ifRcvAddressSta	r/o	r/o
ifRcvAddressTp	r/o	r/o

linkUpDownNotificationsGroup
		yes	yes	yes	yes	yes